Bug 226 : Error instantiating NS
Signed-off-by: Philip Joseph <philip.joseph@riftio.com>
diff --git a/BUILD.sh b/BUILD.sh
index ad77903..0e7804c 100755
--- a/BUILD.sh
+++ b/BUILD.sh
@@ -189,7 +189,7 @@
# this package is obsolete.
OLD_PACKAGES="rw.core.rwvx-rwha-1.0"
for package in $PACKAGES $OLD_PACKAGES; do
- apt remove -y $package || true
+ sudo apt remove -y $package || true
done
packages=""
diff --git a/rwcal/plugins/vala/rwcal_openstack/rift/rwcal/openstack/utils/network.py b/rwcal/plugins/vala/rwcal_openstack/rift/rwcal/openstack/utils/network.py
index b0c58af..8e5107b 100644
--- a/rwcal/plugins/vala/rwcal_openstack/rift/rwcal/openstack/utils/network.py
+++ b/rwcal/plugins/vala/rwcal_openstack/rift/rwcal/openstack/utils/network.py
@@ -1,6 +1,6 @@
#!/usr/bin/python
-#
+#
# Copyright 2017 RIFT.IO Inc
#
# Licensed under the Apache License, Version 2.0 (the "License");
@@ -155,8 +155,11 @@
else:
raise NotImplementedError("Port Type: %s not supported" %(cp.type_yang))
- if cp.static_ip_address:
- args["fixed_ips"] = [{"ip_address" : cp.static_ip_address}]
+ try:
+ if cp.static_ip_address:
+ args["fixed_ips"] = [{"ip_address" : cp.static_ip_address}]
+ except Exception as e:
+ pass
if 'port_security_enabled' in cp:
args['port_security_enabled'] = cp.port_security_enabled